Linux Mint 20 “Ulyana” Cinnamon – BETA Release

This is the BETA release for Linux Mint 20 “Ulyana” Cinnamon Edition.

Linux Mint 20 Ulyana Cinnamon Edition

 Linux Mint 20 is a long term support release which will be supported until 2025. It comes with updated software and brings refinements and many new features to make your desktop even more comfortable to use.

New features:

This new version of Linux Mint contains many improvements.

For an overview of the new features please visit:

What’s new in Linux Mint 20 Cinnamon“.

Important info:

The release notes provide important information about known issues, as well as explanations, workarounds and solutions.

To read the release notes, please visit:

Release Notes for Linux Mint 20 Cinnamon

System requirements:

  • 1GB RAM (2GB recommended for a comfortable usage).
  • 15GB of disk space (20GB recommended).
  • 1024×768 resolution (on lower resolutions, press ALT to drag windows with the mouse if they don’t fit in the screen).

Upgrade instructions:

  • This BETA release might contain critical bugs, please only use it for testing purposes and to help the Linux Mint team fix issues prior to the stable release.
  • It will be possible to upgrade from this BETA to the stable release.
  • It will also be possible to upgrade from Linux Mint 19.3.
  • Upgrade instructions will be published after the stable release of Linux Mint 20.

Bug reports:

  • Bugs in this release should be reported on Github at https://github.com/linuxmint/mint20-beta.
  • Create one issue per bug.
  • As described in the Linux Mint Troubleshooting Guide, do not report or create issues for observations.
  • Be as accurate as possible and include any information that might help developers reproduce the issue or understand the cause of the issue:
    • Bugs we can reproduce, or which cause we understand are usually fixed very easily.
    • It is important to mention whether a bug happens “always”, or “sometimes”, and what triggers it.
    • If a bug happens but didn’t happen before, or doesn’t happen in another distribution, or doesn’t happen in a different environment, please mention it and try to pinpoint the differences at play.
    • If we can’t reproduce a particular bug and we don’t understand its cause, it’s unlikely we’ll be able to fix it.
  • The BETA phase is literally a bug squashing rush, where the team is extremely busy and developers try to fix as many bugs as fast as possible.
  • There usually are a huge number of reports and very little time to answer everyone or explain why a particular report is not considered a bug, or won’t get fixed. Don’t let this frustrate you, whether it’s acknowledged or not, we appreciate everyone’s help.
  • Please visit https://trello.com/b/9BY9I6Lp/linux-mint-20 and https://github.com/linuxmint/mint20-beta to follow the progress of the development team between the BETA and the stable release.

Download links:

Here are the download links:

Integrity and authenticity checks:

Once you have downloaded an image, please verify its integrity and authenticity.

Anyone can produce fake ISO images, it is your responsibility to check you are downloading the official ones.

Enjoy!

We look forward to receiving your feedback. Many thanks in advance for testing the BETA!

294 comments

  1. Please review the problems encountered in testing Linux Mint 20 beta
    1. If it is automatically announced by the system during installation,
    Excess capacity will be treated as external storage,
    without the method is automatically set to /home,
    so only manual set the size of the /boot / swap /home area.
    2.Nemo -> context Menu -> Visible Entries
    -> Selection [Paste] Repeat [Copy] missing.
    3. You can execute youtube-dl on the terminal of LMDE 4
    Instructions, but cannot be executed on Linux Mint 20 beta.

    Thank you very much for your team’s efforts.

  2. Hi Clem,

    Any plans to revise the suggestion for obtaining chromium that’s in the current dummy package description. The suggestion given is probably the least end user friendly of various options. I know it would be an added pressure on limited resources but I really think that Mint to should build, package and offer a chromium deb directly.

    I’m also surprised that the Release Notes don’t make any reference to methods of installing chromium or how users who do want to use snaps in general can remove the snapd.pref file to enable install of snaps. Looking at Ubuntu’s snap-store stats indicates that there is a significant proportion of Mint users who do chose to manually install snapd and use snaps – E.g Mint 19.3 is the 6th entry after the various Ubuntu’s here – https://snapcraft.io/core18

    1. This site is spreading so much hate against Mint, just look at the comments in this article! Very awful!

    2. I was skeptical before and voice my concerns but wanted to try giving the mint team the benefit of the doubt cause they haven’t steered me wrong so far. I downloaded and installed the mint 20 beta and I couldn’t even figure out where this dummy description would be for the package. This is not user friendly at all.

      I get that this problem is 100% Ubuntu’s fault for going behind our backs and installing snap but you are really putting your chromium users between a rock and a hard place. I know it would hinder the effectiveness of the protest but I really think in the short term users should be given an in their face choice on whether or not to block snap rather than doing this dummy package nonsense. It can be on by default but put a toggle in mint welcome for this.

      The long term solution I think should be to push the debian edition harder. If ubuntu is going to keep boiling the water we should just get out of the pot.

    3. No, I think you’re putting too much focus on Chromium Austin and not enough on the problem at hand, which is snap taking over from APT. This is what we reacted to, it has nothing to do with Chromium and it could happen with any other package.

      Two things are missing here in this BETA, as I’m writing this anyway, and one of them is planned. Both will happen ASAP. We need entries in the release notes to let people know what happened to snap and chromium, the alternatives way available to get Chromium in Linux Mint, and how to re-enable snap. That last part is something we promised when we took this stance, and we’ll deliver. I’m sorry this isn’t ready yet even though the BETA is already out.

      One more note about Chromium. I see a lot of people blame Canonical for forcing the snap dependency, I also see some people blame Mint for not providing Chromium updates through APT. Both Canonical and Linux Mint have the resources and ability to do this but neither distribution is committed to do so. It does represent work and that commitment is costly for a browser which isn’t default. I’d like people to consider Google in this equation because the reason you want Ubuntu and Mint to provide these builds and updates in the first place is because Google itself doesn’t bother to do so. What Google promotes and distributes builds and APT updates for is Google Chrome, not Chromium. Ubuntu, Linux Mint and Google are respectively the best at what they do. Nobody does Ubuntu better than Ubuntu, nobody does Mint better than Mint and nobody does Google better than Google. You can’t criticize an organization for making decisions which empowers them to do their work even better. One relevant question here is who is backing Chromium and who is committed to distributing it? Canonical isn’t wrong to promote snap if it’s in their interest. Mint isn’t wrong to disable it if it’s in its interest, and Google isn’t wrong to make it take a back seat if it’s to better promote Chrome instead.

      I’m not saying we’ll never commit to distributing Chromium, but at that moment, that’s not a commitment we decided to make. In any case we’ll update the release notes to make sure it’s easier for people to understand the issue and to choose and implement the solution they prefer. One thing never changes, in the end of the day we are committed to making things easy and this is and always be YOUR computer.

    4. Maybe it’s time for Google addicts to try using Firefox, and rethink their use of anything Google in the first place!
      It has become a very solid browser nowadays.

    5. @Chirac unfortunately:
      1. Jitsi Meet works better on Chromium than Firefox, cf. https://github.com/jitsi/jitsi-meet/issues/4758.
      2. Other browser based video conferencing software doesn’t work well, if at all, with Firefox.
      3. There are issues of website not correctly displaying with Firefox, yet websites display correctly with Chromium and GNOME Web (aka GNOME Epiphany).
      4. Numerous companies are now stating that if you are using Firefox that is why their website doesn’t work as they don’t support Firefox and recommend that you use Chrome.

      Firefox may be very solid; unfortunately Firefox features seems to be currently lacking compared with what is available in the marketplace. Hopefully Mozilla will invest more in their core competency, i.e. Firefox.

    6. Just a warning!
      gnome-software and its flatpak plugin are pulling snapd as dependency, so it’s not only chromium being installed as snap while using debs, others packages are pulling snapd on your back

    7. @Óvári
      In the past couple of months, due to the COVID-19 pandemic, I’ve had to do all kinds of meetings online. Firefox has worked well with every single videoconferencing platform I’ve used (Linux Mint 19.3 Cinnamon). I’ve used Google Meet, Webex, Big Blue Button, and they’ve all worked perfectly in Firefox. The only one that I’ve used the stand-alone program for was Zoom.

    8. It’s not that I am addicted to Chromium, it’s that I need a second browser that works well when using a slow internet connection. I do use Firefox as my main browser, but it really drags on slow connections. I used Midori in Mint 18.3. That went away in Mint 19 so I use Chromium now. It’s real snappy on slow connections. Looks like I’m going to have to find another snappy, no nonsense, no extensions browser for Mint 20.

      So far I’ve tried Brave, SlimJet and Pale Moon. Brave didn’t work at all. Every time you start it up it hogs all the limited bandwidth downloading who knows what. That is 20 to 30+ MB every time it starts. SlimJet wasn’t so bad. I will have to compare it to Firefox on slow connections. I didn’t like the feel of Pale Moon. It had too much of an I.E. feel to it for my taste.

      I still have to try Vivaldi plus any other recommendations for a simple secondary browser for a slow internet connection.

    9. I agree with Clem! I don’t trust Google over my computer and I support Mint’s team move to maintain our security.

    1. Really? I’m pretty the Mint devs have quite enough on their plates without creating an entire office suite from scratch! This in an enormous request, and what’s the point? Are they going to come up with something better than LibreOffice, from the ground up? Be realistic….

    2. So…you want them to re-invent the wheel?
      They have enough to do developing, testing, and releasing their own Operating System

      Now you also want them to develop totally unneeded things in user land?

      Libreoffice….or Openoffice are already there, why get into the business of new mouse traps, when the ones in existence are perfectly fine?

    3. I think creating a tool for convert files, like png to jpg or avi to mp4 is better than creating an office suite that we have a lot of them… LibreOffice, FreeOffice, WPS Office, OnlyOffice, OpenOffice, Calligra Office, Microsoft Office Online and Google Docs…

    4. Why? What’s wrong with the numerous office suites that would be magically fixed by having one built by the Mint team?

  3. Hello, Mr. Clem!

    I’ve run Linux Mint 20 Cinnamon with Live-USB to explore and test it.
    I noticed that there is no longer a “Desktop layout” in “Welcome Screen->First steps”, where you could choose a traditional (small panel, traditional windows list) or modern layout. And I didn’t find anything similar in the settings. What happened here? Please don’t tell me that you are completely getting rid of the traditional layout in favor of a modern one… I don’t think I can handle it!

    Actually, I have nothing against the modern layout, but I can’t get using pinned apps (panel launchers) the same way as in traditional one, where it is much more convenient. In the traditional layout, panel launchers just launch apps! You can use them every time and open as many windows as you want. While in the modern layout it’s a “grouped windows list” and you can use “launcher” once and then if you want more windows of the specific app, you have to use context menu. Actually, it’s possible to set middle click for creating new app instance, but I’m using touchpad on my laptop… so this is not the best way.

    I hate this behavior on Windows and now, sadly, the same happens in my favorite Linux distribution. It would be great if someone can tell me how to achieve this on a modern layout (if possible)… or at least if the traditional layout will back to Linux Mint 20 as an option.

    P.S. Excuse my poor English.

    1. You can search in feren OS repository for a script called okcinnaboomer and it should do the job for you. Just run the script. Feren OS is a spin off based on linuxmint.
      It sets some gsetting configs you can look at the script and manually do it as well.

    2. May I ask why is traditional layout gone from settings?
      Unless there is a reasonable logic for this, removing options that users get used to it reminds me to how microsoft and apple things done

    3. Just something that occurred — are you aware that on touchpads a middle-click can usually be performed with a three-finger click? If you weren’t aware of that you might be pleased to know it.

    4. I agree, please provide a method for switching to the traditional layout if desired. If not on the initial setup then maybe under preferences/desktop?

    5. Go to Applets. Remove ‘Group window list’. Add ‘Panel launchers’ and ‘Window list’. Adjust layout in panel edit mode. Done.

    6. Nigel is right, please don’t force us a bend on our mindset regarding the desktop touch&feel. Give us an easy choice of adapting the tool to our own needs and satisfaction.
      There are a few things in Cinnamon lately that are not pleasing me at all and are deeply affecting my workflow. Currently I’m making up my mind from upgrading from LMDE2 Cinnamon, and MATE seems to be my leaning to. Cinnamon is, in my opinion, becoming less and less traditional, functional and ergonomical.
      Of course this does not diminish a drop of respect I have for the Mint Team and all their hard work.

    7. Dear RightSh, many thanks for that It is easier for me to talk people through that than than Steve M’s excellent suggestion (which I have kept as well). I can follow his suggestion no problem, but I also “look after” many totally non-technical friends on LM and they would not have a clue if I asked them to open a terminal !! I do hope though that Clem will re-introduce the “one click” option somewhere again as that is just so easy to use

    8. We haven’t removed the ability to go back to the old layout. The reason the option was added to the welcome app in the first place was to raise awareness that you can continue to use the old layout, even if the default is different. Now that it’s been there for a couple of releases, that goal has largely been accomplished, so it doesn’t really need to be there any more. Therefore, the decision was made to remove it.

      As was mentioned before, you can still achieve the same layout by right clicking the panel, and selecting Applets from the menu that pops up, then remove the grouped window list and add the panel launchers and window list applets. I know that’s a little more involved than just clicking on a button but not by that much, and it’s an action that is typically only done once in a great while (if you upgrade from an older version of Mint or set up your home folder as a separate partition that you reuse every time, then you wont need to do this as it will remember your panel set up).

    9. So nice to see that the Mint Developers just released a fix to put this feature back in as so many people requested it. Thanks to all.

  4. Hi, Clem:
    It’s a joy to be able to test the beta of my favorite distribution.
    Regarding Chromium, would it be possible for you to offer a compilation of the same snap alternative? There are a lot of people who use it, including me, and the truth is that the solution you have chosen complicates things a bit.

    1. You can use either Chrome that sends your data to Google or can try to use Pop!_OS ppa to get the deb version of Chromium.

  5. Downloaded this as a virtual CD/iso. I’m running 19.3
    I can’t install it. No file to run or boot.
    Any instructions?

    1. You must burn the ISO to a USB stick and then reboot your computer from the USB.
      Use “USB Image Writer” (in Accessories) — it will erase everything on your USB and make it a bootable USB with the LM20 iso.
      You then must reboot your computer from the USB — google [boot from ISO USB] with your computer make/model for detailed instructions.
      Hope this helps

  6. Hi,

    I would like to thank the developer team and everyone who contributed.

    Why is command-not-found package missing and why won’t it be fixed?

  7. Just set it up on an external USB 3 SSD for my 2015 27″ iMac.
    It was very slow to boot as the default kernel can’t cope with the built-in Radeon card. Lots of AMD errors.
    However, once it was booted up and updated, I used UKUU to install Kernel 4.15.18, and it runs perfectly.
    It even runs certain tasks like processing large documents through LaTeX noticeably faster.

    Onya guys!!!
    David

  8. Hi, can you fix/upgrade White and Dark themes? I mean that, the White Theme is not white, bottom panel, application menu, categories in file manager, background in the console is dark, but why? If i use White theme i want to see White colors, not Dark, this is strange.

    But the Dark theme looks more beautiful, because all is black. I think you should to use the Dark theme by default, because is look AWESOME as opposed to ugle White theme.

  9. Dear Linux Mint Team,

    many thanks for your great work on Linux Mint 20!

    At first all updates and German language packs have been completely installed.
    Only a few bugs:
    1) I can’t install the “multimedia codecs”. A message shows “The package dependencies could not be resolved” (my translation from German). I had to install them offline and run “sudo apt-get update” and “sudo apt-get install -f” to solve the problem.

    2) I can’t set the date and time. Neither the region nor the network time are saved.

    3) The German translation for “Advanced Network Configuration” is missing. For example, it can be translated with “Erweiterte Netzwerkkonfigurarion”.

    4) German translations are sometimes missing in the monitor settings, in the menus and explanations. The same in the settings of the mint menu.

    5) LibreOffice does not start. A message shows “Fatal exception: Signal 11” referring to many directories in /usr/lib/libreoffice.

    1. 5) … it can be translated with “Erweiterte Netzwerkkonfiguration”. Sorry, I made a spelling mistake.

    2. Also the german translation for the explanation of the shutdown icon in the menu is missing. It could be “Den Computer herunterfahren”.

    3. Sorry, “Erweiterte Netzwerkkonfiguration” belongs to point 3)

      In Cinnamon 4.4.8 the shutdown translation is correct with “Den Rechner herunterfahren”.

    4. Simple solution to media*codecs screw up – open terminal aka bash aka command prompt and enter
      sudo apt-get install mint-meta-codecs

      Enter your admin pw and let it install ….DONE!

    5. Mint-meta-codecs — If Mint 19.3 is installed on a USB stick, the message is “Unable to install mint-meta-codecs as you have broken packages”. To fix this (and I found this out just by clicking around the Updater) you need to ‘update the Updater’!! By clicking around, you can eventually get it to tell you “There is a new version of MintUpdate. Would you like to install it?” Well, of course you would! After the Updater is updated, you can install mint-meta-codecs! But do not *DO NOT* download the hundreds of other updates as this will blow the mind of your USB stick! (OK if you are using a USB hard drive).

  10. @Clem and Mint Dev Team, thanks for this long-awaited version. No real bugs detected as yet, but when launching LibreOffice, the Writer and Calc windows are initially sized at very small and almost invisible respectively, so that they appear to not be opening properly or not opening at all respectively. Calc’s window can be maximized from the panel icon and then dragged away from the screen border and will appear as a very thin (probably 1 or 2 pixels wide) and almost invisible and then can then be resized. Writer’s initial window size is considerably bigger, but still just a few pixels across and vertically, and occupies just the top left-hand corner of the screen. Because it’s bigger than the initial Calc window size, it’s quite visible enough to be resized, before maximizing. The rest of the LibreOffice components windows don’t seem to be affected, and initially open at the normal size.
    Other than that no other problems found so far. 🙂

    1. Here on my (virtual) test computer there is Linux Mint 20 Cinnamon beta installed – so no live mode – , dist-upgraded and running. First start of LibreOffice Writer and Calc is with maximized windows. LM 20 Cinnamon running on Virtualbox 6.1.10 with Guest Additions 6.1.10 in Window Mode. Lord Mozart, you should give more details about your test environment.

    2. @KpacnajaShapotshka, yes, thanks for the reminder. I’d forgotten to include my systems details.
      Test environments = Acer Aspire X3990 with Intel Core™ i5-2320 CPU, NVIDIA GF119 [GeForce GT 520], 8 GB RAM
      and also
      HP Omen-17 an007na Laptop with NVIDIA® GeForce® GTX 1050, Intel Core™ i5-7300HQ CPU, 8GB RAM

      On the HP Laptop, Only Writer’s initial window was very small and needed resizing. Calc was the normal size.

    3. @Lord Mozart, I experience this now and then in Mint 19.3, mainly when I move a window to another monitor…

  11. Great release Mint Team!
    As an user I am very happy with the LM20 updates specially with the 150% screen zoom option. Until now I notice tow issues:
    1)
    In Dota2 in resolution 3480×2160 with 150% zoom I cannot click the buttons in survey window.
    With zoom set at 100% everything works as expected.
    2)
    The proprietary scanner driver based on sane (ET-2650) miss dependencies (libqtcore4, libqtgui4) and cannot be installed. I know that Ubuntu removed all qt4 libraries. Do you have an workaround for this? E.g can the open source sane be improved or to install somehow the missing qt4 libraries?

    1. Hi magni,
      the qt4 libraries can be added from the rock-core/qt4 ppa. I had to do it, to continue using master-pdf-editor 3.

    1. So far chromium was pretty convinient. It was in softwer manager, and it got regular updates through update manager. Pretty much automated for end user like me.

      Vivaldi takes manual download and install. Also that means I will have manualy check for updates in regular manner?

      Thankes for your answers and help, I appreciated

    2. @Ivan
      After installation Vivaldi updates are also offered through the Update Manager. You should try it. It’s a great browser and my no.1 for years, since I left Opera…

    3. I confirm that once installed, the updates are done via software manager, no need to re-install manually at each update. I’m not affiliated in any way to Vivaldi, but it’s a great browser.

    4. GNOME Web (aka GNOME Epiphany)
      https://wiki.gnome.org/Apps/Web
      https://github.com/GNOME/epiphany

      Purism are switching from Firefox to Epiphany as their default web browser
      https://puri.sm/posts/an-epiphany-regarding-purebrowser/
      ‘We’re planning on moving away from Firefox ESR as our default and towards the default GNOME Web browser called “Epiphany”. While Firefox ESR is a great browser, and will remain in our repositories, it is a lot of maintenance to apply the patches to get it to where we feel is the right state for our users. We’ve discussed our changes with upstream but they have their own vision, their own business needs. In addition, we’re investing in building out the ecosystem of convergent, privacy protecting, free software, and that investment is being realized in our Librem phone. We want to continue to build on our convergence and moving towards Epiphany will continue that as well as get us closer to our goal of one code base on all our devices, which of course the whole point of convergence.’

    5. Thanks libreboi, I had heard about Brave and was considering giving it a try, but I certainly won’t after reading that article.

  12. Hi Lord Mozart,
    I found libreoffice openng in 25 seconds. Record time !!!
    The other problems you say don’t exist on my laptop.

    1. @Gian Piero, I noticed that the splash screen whizzed by in less than a second, and opening does seem marginally faster on both my rigs ….the laptop having a SSD

    2. Try opening libreoffice, goto options – advanced and turn off java runtime to make it faster

  13. Dear team, first of all I’d like to thank you so much for your fantastic work on Linux Mint. I enjoy it since years. Unfortunately now I have to report serious problems with scaling / fractional scaling with LM 20 Cinnamon. I installed it in a Vmware-Player VM with both Windows and Linux Mint hosts on a computer with Iiyama HiDPI-display. Using 175 % or 200 % scale I get an unsharp picture, especially screen fonts. In 19.3 very sharp and clean! Then there is “Base interface scale” – what is it good for if I can use fractional scaling? If I use HiDPI here (100% fractional scaling) I get a totally corrupted screen so that only a restart helps. I hope you can solve these problems during the testing phase, otherwise VM-Installations will be useless. BTW: Just installed LM 20 Mate with Mate-tweak. Using HiDPI there none of the problem occur! Thanks again for your Work, Tom

    1. Unfortunately, it looks like HiDPI scaling is done by image “downscaling”. I was also waiting for the possibility of convenient display parameters setting, but I remain with the font scaling (the 1.3 factor seems to be suitable for a 28″ 4K monitor). Maybe it will be better implemented in future editions?

    2. @Bolo That’s disappointing till now. Playing with fonts scaling actually helps a little bit but that is not what I expected. BTW: Does “BAse interface scale” work correctly on real machines?

    3. On my Asus laptop (Ryzen-7 2700U/Radeon Vega) with the external display connected the basic resolution will not switch. It immediately returns to the standard settings (100%).

    4. @Bolo I guess I have found the solution: If I first switch fractional scaling to 175% or also 200% and after that Base Interface Scale to HiDPI everything works fine now. Fonts are crispy and no display probs at all. Try it out on your machine! Tom

  14. No, Julian …
    I tested libreoffice after installing the beta. Not using virtualbox.
    But there is a little issue with Xviewer too. The passage of the full screen image is no longer as smooth as before.

  15. “First Steps” in “Welcome Screen” is missing the option to switch between traditional and modern desktop layout. It takes quite a few steps to manually hunt down and change all the settings for the traditional layout or switch back to modern one, so in previous Mint releases it was very nice to be able to make the switch and compare them with a single click. I hope you bring this back.

    1. I agree! I hope that’s put back in as well! I use the traditional layout (I can’t stand the horrific Windows 8/10 way of handling tasks) and I hope this isn’t a sign that the traditional method is eventually going away. More options = better

  16. please provide the installation instructions without losing any data
    (if i want to replace windows 10 with mint 20)

    1. Completely replacing Windows with Linux, you will have to back up your data. You can do this with either a USB stick (not the one you’re using to install Linux with), external hard drive, or a cloud service that is compatible with both Windows and Linux. After backing up your data, install Linux, then put your data back in place.

      Alternatively, you could install it as a dual boot (both Windows and Linux will exist on your hard drive in separate partitions). This will keep your Windows data in-place, and Linux can access your Windows partitions if you need the data in both.

      It’s still strongly advisable to backup your data in any case, though.

  17. Looking very good. Cinnamon has become an incredible DE. It has gone from my 3rd favorite to my number one favorite Mint DE. Ram use on my machine was only 200 mb more than Xfce on a fresh boot. This doesn’t even seem like a beta release as it is so stable. Really great job Clem and team!

  18. Regarding “Run with NVIDIA GPU”. Does it works also for AMD GPUs. I am not sure but with Gnome both for AMD and NVIDIA GPUs are working.

  19. I have to add my +1 to “fixing” the “broken” chromium package. I understand, appreciate and agree with what Mint is doing here, but there has to be a better way.
    I managed to install the package from Ubuntu 18.04 after also installing the ffmpeg package as well after manually downloading both from the repository.
    I also tried to download the “ungoogled-chromium” but it had dependency issues as well.
    I’m no expert but it seems that using the dummy package is going to create more issues later on.
    As a temporary fix until a better solution can be found, why not just use the ubuntu packages from 18.04?

  20. Still on Kernel 5.4 and how much longer until 5.6 as I have an All AMD laptop that’s stuck waiting for Kernel 5.6(Fan Profile/Driver fix for that Laptop in Kernel 5.6) and I’m no Mint/Linux Kernel Power user. I’d like for there to be a way of checking for the Latest Available Kernel full version number on this website for whatever the Latest Mint 20 Build will be past Kernel 5.4. This is so I’ll know when it’s time and Kernel 5.6 is included in the latest Mint 20 ISO that’s available. Oh how I want to get that laptop away from Windows 10(1809) Home only and dual booting with Linux Mint 20 when it finally arrives but I’m waiting on Kernel 5.6 and I’ll be ready to begin to put Windows behind me save some Limited Legacy usage on all of my laptops going forward.

    I’m happily running Linux Mint 19.3 on 4 of my older Windows 7/EOL laptops and 7/EOL dual booted with Mint 19.3! And really 7’s never allowed online since it went EOL and the laptops are very happily running much better booted into Mint 19.3 anyways. Thanks Linux Mint Team/Kernel developers and community!

    1. You could install ukuu and get the latest kernel and test it to see if it will work, but also that mint don’t support ukuu kernels I usually test latest kernels out on mu ryzen 3700x and still can’t get my webcam working on it properly.

  21. Hi and lots of thanks for the great work!
    Install and first boot out of the box but after installing updates reboot fails with black screen and total freeze short after LM Logo. No matter which kernel i choose. No way to get to the konsole. Even
    R E I S U B does not work.

    ThinkPad 495, Rhyzen 5 Pro 3500U, 16 GB, installed LM cinnamon for testing on one own partition ~250GB, SSD

  22. Hi.
    I can’t find the fractional scaling option.
    I click on Display and all I have under ‘Base interface scale’ is Normal (100%) and HiDPI (200%) with no intermediate values.
    My display is a 1920 x 1080 laptop screen, which is not considered HiDPI, but I still find text and GUI elements a little bit small at 100%, so I was expecting to address this issue with this new feature.
    Is fractional scaling only available on HiDPI monitors?
    Thanks.

    1. To scale the fonts, use System Settings -> Font Selection -> Font Settings -> Text Scaling Factor
      In the same window, you can also change the fonts or their size.

    2. Yeah, I know, but it is mainly the UI elements what I needed to resize (very tiny icons in some programs, such as Audacity). I don’t know if it is normal not to get the fractional scaling option at all in the settings, since it was supposed to be the main new feature in Cinnamon 4.6.

    3. Same problem here! I suggested 150% fractional scale. I think this will solve the problem. Windows 10 also uses this 150% as recommended and things work smooth under that setting.

  23. This looks like an awesome new release, I’m impressed as always (if no longer surprised) with the quality of Mint releases.

    > “The Grub boot menu is now always visible.”
    > “APT recommends are enabled by default for newly installed packages (not for upgrades).”

    I wondered if someone on the team could say a few words about the rationale behind the above two changes (listed as “improvements”). It’s not obvious to me why either would be desirable as defaults, and I would be interested to understand the team’s thinking. Thanks in advance!

    1. Yes. I’m especially curious about the GRUB boot menu. Was there a problem occurring with it not being visible on single-OS systems? I would think having it always visible would be more of a hindrance than a benefit. It would slow down the boot process on systems where it’s not needed.

    2. @Óvári — that’s right. I suppose the Mint Team think people who aren’t aware of that being unable to be access grub is the greater evil, vis-à-vis it appearing every time for those who don’t need it? “Power-users” will configure it to their own liking post-install, I suppose — it’s just a default after all.

    3. @Wilo is there a GUI setting in Linux Mint to change whether GRUB shows and, if shown, the duration? This would help for non-power-users like ourselves to turn it off.

    4. Most likely one would have to first install and then run boot-repair (through Synaptic or whatever other method), go to Advanced options > Main options, mark Unhide boot menu (usually it’s already marked) and if necessary modify the default 10 seconds timeout.
      It may be a good idea to check other tabs as well (GRUB location, GRUB options, MBR options, Other options) and make sure all settings are as desired.
      Then hit Apply.

    5. Hi Óvári,

      I’m not a power-user either, but there’s a non-GUI way that I’ve used to change whether the Grub Menu shows at boot or is hidden, and if it shows, for how many seconds. I found the instructions for how to do this on the Easy Linux Tips Project website.

      If you want to take a look at Pjotr’s instructions and decide whether this is something you feel comfortable doing, here’s the link:

      https://easylinuxtipsproject.blogspot.com/p/grub.html#ID10

      (NOTE: If you decide to modify the grub file, I *highly recommend* that you first carefully make a note of exactly what the original file entry is before you change it! And, as always, it’s a good practice to make sure to have a recent Timeshift snapshot before making any important changes.)

    1. hapi – All you have to do is right-click on the start button and choose “Configure”. Then, from the dialog box that pops up, you just click the button that shows the default menu icon (second option down called “Icon”) and you can choose any icon you like from the list that pops up. Easy.

  24. Clem, could we have a Nemo plugin that creates Microsoft Office docx/xlsx/pptx files preview icons? There’s an existing project that does that: http://www.bernaerts-nicolas.fr/linux/76-gnome/325-gnome-shell-generate-msoffice-thumbnail-nautilus but it was developed with Nautilus in mind. I tried it, but it renders my Nemo slow when tab-switching, and sometimes Nemo will freeze upon opening a folder and take forever to close and restart.
    Also, is it possible to TIMESHIFT my current setup, which is based on Linux Mint 19.1 64-bit, install LM20 and then restore my Timeshift backup from there? Please let me know. TIA.

    1. Good idea. Could we also have image previews / thumbnails on folders that contain images?

  25. The beta version is working in a persistent USB stick. I ran Update Manager and applied the 230MB of updates including a new kernel. Noticed the following message. Everything appears to work.

    E:The repository ‘cdrom://Linux Mint 20 _Ulyana_ – Release amd64 20200610 focal Release’ does not have a Release file.

  26. Only complication I cam across was trying to install on a RaidO array in conjunction with full disk encryption. That particular combination yielded and unbootable system. I don’t really have time to try to track down the problem but I was able to have a successful install without encryption.

    1. This beta version cannot boot if the root partition (/) is encrypted at installation (/boot is not encrypted) . It fallback to initramfs prompt at boot . It worked without issue in 19.3.

  27. Ubuntu is doing the best to Linux Mint to use Snap, would you give in? I’m asking because I’m afraid of the future, if more and more packages become snap on Ubuntu it will be very hard to pack all of them yourselves. OMG! Ubuntu is really helping to spreading hate against Ubuntu due to the fact of the snap avoidance. How to deal with it? Won’t it look bad for Mint?

  28. I tried this Beta release yesterday on my Dell Latitude E6420 equipped with 2nd Generation Intel I7 and the overall impression was really good: apart from the intuitive interface as usual, I noticed that the programs worked quickly and smoothly and the preinstalled wallpapers are awesome! Thus, I cannot wait for this new release hoping that it will be successful!

  29. Thank you Clem and the Linux Mint team for another fine release and for all the ingenuity and effort you’ve put in it! The Beta is running amazingly smooth on my PC.
    I would like to mention here that the first thing I do after installing LM19 is to switch to the Traditional Desktop Layout … but not this time. May be the Welcome Screen is [not] the best place for the Traditional – Modern option and it can be moved somewhere to the Settings. All who I know are using a traditional layout, but not all of them are convenient with the CLI or even with the panel applets.

  30. I already cannot wait for LM20. The fractional scaling is pretty awesome and that was pretty much about the one thing that I felt was lacking. Thanks to @Clem and the team.

  31. Amazing release – thanks to all who have provided it.
    Installation was smooth, NVIDIA driver installation smoothest ever (no modeset hacking required on Optimus for the first time), NVIDIA On-Demand enabled smoothly, not a single issue to get the Beta up and running on my laptop in dual boot (might not go back to 19.3 given NVIDIA On-Demand). Brilliant.

  32. I really love linux mint since starting to use but I recommend you to create your own office suite.
    thanks a lot linux mint developers

    1. No need. There are already many great office suites available, and the team doesn’t have the resources to make yet another one. Let them focus on their main task of bringing us the best OS!

  33. Hi … i tried Mint 20 Cinnamon and it works really fast !
    Sadly i am still missing the wireguard support in the network-manager, but i am sure it will come some day ;-))

    Thank you for your work

  34. Unable to install Viber DEB package on linux mint 20 beta. Message is “Dependency cannot be satisfied: libssl1.0.0”

  35. this is the moment that linux mint focused on lmde and on creating their own applications so they don’t have problems with mint cinnamon and sources where to get them, so they won’t have a problem with snap ever again …

  36. Dear Clem and LM team. With afraid I read the comments that the traditional look is missing? May I share my opinion please and I prefer it to stay. Last version on WPS 2019 also remove “Classic style” such in MS Office 2003. When I understand this, I do not use it and go back to previous 2016 where there is a “Classic style”. I am more comfortable with traditional style in LM and WPS, and if there is not traditional style in future will stay to LM 19 or LMDE4? Please do not force me to make this decision. I am never using Modern look as option. Please give us a choice “to be like in home”. Best regards,

    1. @Clem
      @Svetlomir Frengov

      I agree with Svetlomir Frengov.
      I prefer the traditional look / classic style.
      Please keep it.

  37. Will not live boot UEFI on Dell XPS 13. Grub comes up and any option results in black screen (even if I add nomodeset)…..

  38. I look forward to testing this release, hopefully AMD+NVIDIA support is here. Will post an update for others with hybrid laptops running Ryzen with Nvidia hybrid gpu.

    1. Running from the install media it does not seem that Mint 20 supports Ryzen+Nvidia hybrid graphics switching out-of-the-box as inxi only reports the open source drivers as loaded, and amd graphics load by default. I’m currently working on a new install media and I’m going to test it full-time on a new SSD to see if an update and driver upgrade will improve performance and enables proper graphics switching. I will reply to this when I’ve concluded more testing, so far it seems to be NO for live media.

  39. I like the System Profiler and Benchmark but in switching to Mint Cinnamon 20 beta I couldn’t remember how I found it in the first place. I spent some time in Software Manager and finally found it under “Hardinfo.”

  40. What is the reasoning behind enabling APT recommends?

    In my experience those packages are not only unnecessary in most cases, often they’re barely related to the main package. This results in a lot of bloat, not only in terms of storage space but also in terms of performance. Sometimes they even add new system services, enabled by default.

  41. We can not connect camera such as Fugi to 20.0 to get reading of MPEG video from camera such as dashboard cameras . Why can not Linux 20 make our job easy so we can download it .

  42. 1-Warpinator works if both computers are using MINT 19.3.

    2-Warpinator works if both computers are using MINT 20 BETA

    3-Warpinator does not work if one is using 19.3 and the other 20 beta.

    Please see if you can confirm this.
    Or explain what’s going on.
    Or what to do.

    1. I am pondering a possibly simple way of sending files.
      Thunderbird email has no size limit on attachments (or so I have read).
      Wonder if that would work?
      May give it a try.
      I’m confident that Warpinator will be fixed eventually.

    2. The e-mail size limit depends on your e-mail service provider, not the client you use. So it may work, or it may not. Another way might be to use a NFS, FTP, or Samba connection to transfer the files.

    3. You’ll need to clarify what ‘works’ means – are they seeing one another but not able to complete connecting? Or are neither of them coming up with any remote computers?

      Are they all the same version of warpinator? There have been a number of critical changes recently that would break compatibility with early versions (though from this point forward it should be fairly stable)

      You can run warpinator –debug to gather more info. File an issue here: https://github.com/linuxmint/warpinator for further support.

    4. I have 2 mint 20 computers, and three 19.3 and warpinator works on all of them. Check your firewall settings.

  43. Hi Clem,

    Since Tomboy was replaced by Gnote, could we get the tray icon for Gnote as well? Perhaps forking gnome into something like xnote which would have the tray icon with HiDpi support?

    Cheers!
    L.

    1. NetHooligan, I’m not sure if this might be what you’re looking for, but there is a Gnote applet available that might do what you want. It lists all current notes, and allows you to add new notes. Is that something like what you need?

  44. I’m running Mint 19.2 Tina: in the future, will be possible to update to Mint 20 directly, as will be from 19.3?
    Thanks

    1. Samuele – You’ll probably have to update to 19.3 first before upgrading to 20. It’s a rather minor update to 19.3 from 19.2 and only affects Mint packages (you can do it at any time before 20 is officially released), not the base. Just make sure you wait to upgrade to 20 until the upgrade instructions are published on this blog before attempting it and, of course, back up your data first.

  45. I have installed Linux Mint 20 Cinnamon on my laptop and tested it. The issues that I found are minor and they do not affect the stability of the system yet and if I find I will report it as soon as possible. I have not seen any issue that affects the system stability yet. The rtl8723de driver works out of the box as expected and used it in the live ISO and during installation for downloading the language packs and codecs. Rhythmbox can play MIDI files out of the box unlike in Linux Mint 19.3 where I install a fluidsynth sound-font file package for it to play MIDI files. Linux Mint 20 just works for any media file. Keep up the good work @Clem and the rest of the development team.

  46. @Clem and Mint team

    Strange thing when I use two panels top and bottom:

    When I open the menu on the top panel to pin a launcher, the icon goes to the bottom panel.
    I can get around that by temporarily deleting the bottom panel but that’s a hassle.

  47. Ver20 install, when it got to remove medium, then press enter, nothing happened, had to pull plug.
    Only other problem I had, is that “software Manager” does not open when clicked!
    Other than that all good.
    Thanks to the team.

  48. I installed Linux Mint 20 Beta with no issue on a USB3 SSD. On multi boot GRUB menu it appears as Ubuntu.I do not know yet how to change this name for Ulyana.
    One issue: I can’t connect to my LAN Box server. I get the error message: “L’obtention de la liste des partages du serveur a échoué” which means : “not in server sharing list”. I never got this issue with all earlier versions.
    Otherwise Ulyana looks fine and works well on my laptop.
    Best regards.

  49. After I have created an entry in the keyboard menu for libreoffice –writer, when I try to assign super w as the keystroke combination, it is not accepted.

    Also, it would be nice to have access to the old taskbar.

    1. Incidentally, the keystroke combination is a new issue. This combination was never a problem before.

  50. For what it’s worth I too prefer the Traditional panel + window list, and it’s the very first tweak I perform after installation.
    Moreover, in previous setups I used to use the Cinnamon Multi-Line Taskbar applet with a double-height auto-hidden panel. Unfortunately there are three issues with this setup:
    1. The panel doesn’t regroup its left and right icons on multiple rows even when its height would allow that;
    2. That applet doesn’t recreate the window list upon Cinnamon restart;
    3. When panel height is smaller than “button” height multiplied with number of “button” lines, Cinnamon crashes.
    If that applet would be taken over by the Mint team, fixing and integrating it with the Traditional option together with adding the ability to regroup panel icons based on its height (or width, for vertical panels), I believe many Mint users would be very happy – especially those coming from Windows where such options were built-in since Win95.

    Other than that I am yet to test the 20 beta in Virtual Box. But there still is one issue with the installer, at least up until 19.3: there is no way whatsoever to upgrade an existing Mint installation by running the live DVD.
    I had an image of a 19.2 setup taken from a failing/broken HDD which I restored to a new HDD hoping I could upgrade through a live 19.3, having any corrupt/missing files automatically fixed by the new installation. However the installer does not provide an upgrade option, and not even a repair option even if it was the very same distro version. Why? Technical difficulties, I imagine. But such option would be immensely helpful in situations similar to mine. As with Windows, reinstalling the system on a clean partition/disk is the least problem – reinstalling and reconfiguring all other software (and system tweaks and settings) is what kills all the joy. After two HDD failures in the last few months I got so sick’n tired that not even 1/4 of the first solid setup hasn’t been restored to the current installation. Not even getting rid of the dreaded password.

    Speaking of which: I strongly insist on allowing users to not set a password at install time if so they choose – just like Windows does with all its NT-based versions – and subsequently configure the system to never ask for a password in any situation, until/if the user later on decides to set a password. And even then, do not force the use of a minimum/maximum length. It is solely user’s choice and responsibility, and you have to provide the user with this choice. There is already too much coercion from various directions and some of us just can’t take it anymore.

    Also in regard to this blog, as has been requested many times before, please consider installing a plug-in for reply notifications.

    Thank you.

    1. Normally the team deliver upgrade instructions later on in the process, after the new release has been launched.

    2. All those instructions assume a valid running system. When the system cannot run at all, or running it may alter/break files then it is necessary a forced upgrade, or a repair other than the option provided by GRUB.
      Currently the disc installer does not provide either.

  51. If I want to resize the menu icon in the Panel definitions > Panel apearence > Size of simbolic icon to 40px, when I restart it will return to the smaller look and it says that is 40px, and if move up or down it will return to the original size of 40px and look as it should. I hope I made sense, my system is in portuguese and I’m using an AMD laptop with Ryzen 5 3500U.

  52. Actually, regarding Mint, no complain at all – looks perfect. I would say that Cinnamon loads a bit slower, but not sure.
    But that Nvidia change will give me some headaches, although it seems to be an upstream issue (I tested on Xubuntu, 20.04 same thing) : I use Blender with 3 Nvidia GPUs. I used to apply that tutorial (https://gist.github.com/wangruohui/bc7b9f424e3d5deb0c0b8bba990b1bc5) in order to have the display working on Intel GPU (HD 530) and leave the 3 GPU rendering quietly (!), with Nvidia headless drivers.
    It worked fine with that tutorial, creating a xorg.conf that would force intel driver and intel gpu for the display.
    With the 20.04 base, something went wrong. When doing that trick, Blender no longer works (it says : segmentation fault, core dump) – plus I noticed glxheads would not work as well.
    Then I hoped that this embedded Nvidia applet in Mint would sort this out – but strangely it is not the case. When having the normal Nvidia drivers (from the driver manager, the proprietary ones), in performance mode of course it works on Nvidia, in power saving mode it works on intel BUT then the driver are ‘hidden’ and even Blender does not ‘see’ the Nvidia GPUs so impossible to render with GPUs, and in on-demand mode, it seems to work… but actually nvidia-smi will show one (small) Xorg process for each graphic card and when loading Libreoffice for instance, here comes an additional process for Libreoffice for the first Nvidia card – which means it doesn’t really work – I wonder what the intel driver does then… On 18.04, I had processes shown on nvidia-smi when rendering, but otherwise, nothing.

    1. I’ve had time to go through further tests. Actually I’ve been really unlucky since I have chosen Libreoffice when testing the on-demand case… and it seems to be the only one to create a process in nvidia-smi – anything else would not, as expected in on-demand. And I tested a small game with Steam. Steam does not create a process in nvidia-smi when being on intel – but when I specifically chose to use Nvidia with the game, I can see the new processes for Steam & game in nvidia-smi. So I’d say it works pretty well actually.
      I am not sure why there are some ‘flows’ from Xorg (and Libreoffice..) in nvidia processes, but except that, that seems to work fine and I gonna use that method now. Thanks Mint team !

  53. I just installed the Mate beta and when I run Zoom, installed either from the deb or flatpak it opens really large on screen, like it’s trying to use a 640 dbi screen. Not sure how to change it to my normal screen resolution. Thanks.

  54. Hi. Thank you for this great edition.
    on 1920×1080 display 125% fractional scale still no good. things are still small. I think it would be awesome to have 150% as well in display.

  55. I have tried the beta release as well on my Intel HQ6770+M960GTX hybrid laptop, first it seemed to be really fine. However, checking the power status of the Nvidia card with bbswitch/powertop shows that the 960GTX is not switched of in only-Intel mode. In addition, the generated heat from the laptop is high. I have installed Manjaro Cinnamon 20.0.3 which switches off the nvidia chip properly. Manjaro uses the same version of Cinnamon as the Mint beta, but there the “Run with Nvidia GPU” right-click menu does not work, no idea why.

    1. What Kernel you are using? I noticed the heat thingy on my box too. Cause unknown but i suspect faulty kernel (5.4.37) and ubuntu screw up

    2. Stock 5.4.37. It seems basicly no power management of the nvidia chip takes place when intel is the default card. Mint is perfect for my desktop, but for the optimus laptop: no go.

  56. Hi SB
    I just tested Bluetooth and I could send a file from my laptop HP Stream to my smarthphone GALAXY A5 after being connected.

  57. @Clem, I have a question regarding chromium-browser. I’m currently using it as my main browser in Mint 19.3 Cinnamon, and I’ve noted all that has been said concerning the empty package in Mint 20. You also mentioned that it will be possible to upgrade from Mint 19.3 to Mint 20 when the final release comes out. With that in mind, what will happen to chromium-browser as and when future updates are available? Will we then end up with the (for me) unwanted snap package and snapd installed behind the scenes, or will it just not update any further? Maybe I’m misunderstanding the concept of packaging or just missing some info in regards to the whole scenario, but the thought just came to mind concerning it. The way I see it at the moment though, is that if and when there is an update, I’ll end up with either the snap package with snapd sneaked onto my system – which I DON’T want – or I just won’t get any more updates for that particular package, and be stuck with my current version which is 83.0.4103.61. Please could you clarify this for me?

    Incidentally, someone suggested that the Mint team should package the chromium-browser themselves so that it can be available in Mint’s own repos. I think that would be an excellent idea and one, if not the only way around the problem, because using the Debian package via the instructions given in the Help/manual web pages results in an old (but stable) version: version 81.-something if I’m not mistaken. The other two methods of adding the Beta or Dev PPAs, leaves some features such as browser syncing across devices unavailable, unless a lot of extra technical work is manually done after installing, which may be difficult for someone who isn’t quite up to those kinds of technicalities …assuming they even know it’s possible. Also aren’t beta and dev packages considered unstable? Definitely LESS stable anyway, than the stable version. Yes, the simple answer would be to just download and install Google Chrome, but that’s just taking away choice, and one of the things I love about Linux in general is its approach to giving lots of choice.

    I wish Ubuntu would stop trying to reinvent the wheel, and “fixing” things that work just fine, resulting in unwanted and unnecessary problems, in their attempt to corner a massive market like their Redmond bed-mates.

    Thanks for your attention, and keep up the excellent work.

    1. My guess is, it would “update” to Mint’s dummy package, directing you to install it by the alternate method. You would probably end up with no actual chromium browser on your system until you follow those directions. The reason I think this is that the older chromium-browser package would rely on old dependency versions that don’t exist anymore. It would have to be uninstalled so that the package isn’t broken due to dependency errors. And since Mint 20 would have the dummy package pinned to override Ubuntu’s package, you would just get that. Again, this is an assumption, based on what I know about .deb-based packaging systems and how Clem said the override would function.

    2. Just install the ppa from suse and your ok… there s even a working script to install extensions from webstore like ublock, noscript and alike…. use ungoogled-chromium ..easy to setup .. NO discussion needed

    3. Able to install ungoogled-chromium but was unable to install the chrome extension store extension. Drag and drop the .crx extension in chrome://extensions but that failed miserably when chromium was not able to open the text (gibberish). Downloading the extension in a folder on the laptop and trying to extract it also failed with gibberish that chromium flatly refused to read. OK. Experiment over… “Toilet flushing noise” Sacrificing my first born for this browser is not worth it.

    4. Francois: How much more easy can it get? Go to extensions, activate developer mode, drop and drag .crx file onto it… Above a popu will appear, you click ok, thats it…. LOL

      And there’s even an extension to download directly from chrome webstore using chromium-ungoogled …LOL

    5. Hi
      I am not very savvy with computers and with linux in particular. I just hate windows 10. Looking for some thing else but I am still a 61 y.o. that started using computers seriously in is 50’s when his kids grew up and lived on their own.
      That said, what happened was that when I dragged and dropped the .crx file in the chrome://extensions place in chromium, it’s that a text editor would open and show gibberish with a text in a red space saying that it could not open the text as some characters could not be decoded. The same thing happened when I downloaded the .crx file in the Downloads folder and tried to open it in chromium using the “load unpacked” tab in chrome://extensions. That got the same result. Never had any request to install. Just the text editor opening and complaining.
      Regards

    6. Hi again
      Figured it out. Repeat after me: read ALL the instructions when you google your way into doing something. “sigh” I did not read the part that said “Change the flag chrome://flags/#extension-mime-request-handling to Always prompt for install.” That worked alright. The extensions that I needed in ungoogled-chromium (Ublock-origin & Privacy-badger) are now installed and working as advertized. Please ignore my rant from yesterday. Probably too tired after a full day of work. Today I answered before looking things over.
      Regards

  58. Wine seems to install but won’t start Windows installers. The wine option does not exist on right click and typing “wine” does not work.

    1. Found the same problem on Ubuntu 20.04. There you can start wine programs from the konsole at least. Couldn’t try that on LM20 yet.

    2. Sir Douglas
      Wine does work under Mint 20 for me.
      I have successfully installed an old windows program under wine using a LiveUSB using the following steps, starting in the terminal – some may be redundant but at least it worked!

      sudo dpkg –add-architecture i386
      sudo apt update
      sudo apt install wine wine32 wine-binfmt
      wine –version # showed version 5.0.2 was installed
      wine Warpinator/OldWindows32bitProgInstall.exe
      Install program was run but no menu item at this point so:

      Find installed program in .wine/drive_c/program Files/ and right click, use Other program option and put wine in box and set as default for .exe thus creating association of wine with .exe files for the future.
      Program ran and wine and program were now in Mint menu.

      wine-binfmt seems to be important to allow association but it still had to be done manually the first time.

      Hope this helps

      Peter

    3. @pdcurtis

      Thank you, Peter.
      I see you installed wine32. I think all my Windows programs are 32-bit.
      But just curious, does your method only install 32-bit capable wine?

    4. doug@Onyx:~$ sudo dpkg –add-architecture i386
      dpkg: error: need an action option

      Type dpkg –help for help about installing and deinstalling packages [*];
      Use ‘apt’ or ‘aptitude’ for user-friendly package management;
      Type dpkg -Dhelp for a list of dpkg debug flag values;
      Type dpkg –force-help for a list of forcing options;
      Type dpkg-deb –help for help about manipulating *.deb files;

      Options marked [*] produce a lot of output – pipe it through ‘less’ or ‘more’ !

    5. @Sir Douglas. wine installs the 64 bit system – it depends on wine64, in fact looking at the dependencies the wine32 and wine-binfmt are probably not required to be explicitly installed either but I just described exactly what I did.
      I do not thing the sudo dpkg –add-architecture i386 is redundant and I have always done it before installing wine.
      I think there is a typo and wine version showed was 5.0-3

  59. Hi.
    Downloaded Beta ISO, burnt to USB and testing it goes quite fine well. Nemo is faster than ever, well done, and copying and pasting files with none problem. Perfect. Video reproduction with Celluloid quite fluently, sound perfect and nothing more to say since I am waiting for updating whole system with Tricia. All goes fine, fast,well. ffw great. Thanks.

    1. Well, i see not the possibility of selecting more than one file and rename them just renaming one of them and automatically the rest being renamed by adding at the desired name just 1, 2, 3… I do it in Tricia but using another software, Qrename, and it is not so fast as doing it directly by just selecting and renaming only one of the selected files.

  60. Hi. I installed LM 20 cinnamon.
    Can someone tell me what’s the problem? I have two displays: 1st is monitor 1280×1024 (5:4), 2nd is a TV 1920×1080 (16:9). When I go System Settings -> Backgrounds -> Backgrounds Settings and set “Picture aspect” as “Zoom”, my TV shows full width of a background picture and my monitor doesn’t because it’s not “wide” (5:4) and it’s OK – everything is perfect. But when I log out and then log in, my TV starts to show the same width as a monitor (doesn’t show full width of a picture). And it sticks in this state and does not change after restart. This happens no matter which drivers I use nvidia or nouveau. My video card is NVIDIA Corporation GK107 [GeForce GTX 650].
    Tried to explain it clear, sorry English is not my native language.
    Any ideas how to fix it? To keep my TV to show full width of a background picture.

  61. I booted the beta from a USB stick and all worked well on my Lenovo M710q. In particular the sound worked upon boot up and for the next 3.5 hours I was using the beta release. I point out the sound because the beta is running the 5.4.0-26 kernel. On my LM 19.3 installation, the 5.4.0-37 kernel will kill my sound system after a couple of hours of use and prevent any clean shutdown or reboot process because it is appears pulseaudio is unresponsive.

  62. Brave is the best,,been using it a great while…dont use linux browsers for banking of any kind,,use windows,,banks dont use linux,,,email is ok,,,to use.learned this from work..could not use linux at work at all,,just on my lap only..they only use windows with so many passwords you could choke on…just a tip……i got mint 20 on now,,its super great,,,i have used all the mint vers since mint started..i have to give the mint team credit for everything…im still learning linux..all i can say it works for me.

  63. Is it right or wrong .I am not following the discussion,completely.
    But i need to do one Bug correction in Mint Tricia, ie Tricia not even considering the Printer Canon LBP2900/2900B as a printer.
    So please add support for Canon LBP2900/2900B that in Mint 20 as its a very common Printer used everywhere, but has no support yet (previously supported in linux mint 18).
    So I don’t know whether it was discussed already. If so just neglect it.
    I love Linux Mint!!
    thanks…

  64. I’m using Linux Mint 20 xfce beta. Installed anbox. But it only showing “Starting …” for a minutes and then vanish.
    Help me to run android app on my linux mint pc.
    OS: Linux Mint 20 xfce Beta
    CPU: Core2Duo
    Ram: 2gb

    1. I am not from dev team but rather an happy mint user like yourslef

      It feels like this not linux mint issue, rather more like anbox issue, I have used anbox and have had the same issue, try launching the application again, I believe the first click, it boots the services in the background, but if you have menu shortcut to one of the applications like anbox “calendar” it will let anbox launch properly, try fiddling with it..

      otherwise, you have few alternatives to run android apps on linux,
      1- install android studio, it comes with an emulator and it will launch an image of android that you can use
      2- install virtualbox, and android x86 image,
      both solutions above are resource heavy so it might not be very suitable for you, but my favorite solution
      3- use scrcpy if you have an android device, and connect it to the laptop via cable or through wifi, and you can stream the phone screen on the laptop, its extremely convenient, learn the shortcuts, I really like it alot, I even use it when I write long messages cuz it allows me to use the laptop keyboard, so if you have android apps, you can use them from your phone at the size of you laptop screen.

  65. Hi, maybe there is a problem with QT5-applications on Cinnamon 4.6? My music player Clementine (QT5-application) starts very slowly (more than one minute!) on LM 20, neither on LM 19.3 Cinnamon nor on LM 20 Mate. I don’t have more such applications and maybe it’s not so important, but please have a look at it. Thanks again for your work.

  66. The new version of Ubuntu 2004 has been removed python 2. However the command python has also been removed but with python3 left.
    I suggest put the command python to be python3 as default option.

    1. in terminal: nano ~/.bashrc
      Type: alias python=python3
      save and close
      in terminal: source ~/.bashrc

  67. Wine doesn’t work. Something is missing.
    Clem, please take also Conky Manager and adapt it to LM 20! It’s a program from Tony, the same person who made Timeshift.

  68. Hi Clem,

    Maybe a more universal approach would be considered as a better option – to have basic setup colors (like we have now) and then give the user possibility to adjust/set colors to their liking?
    What it means is to give us, users a tool so that we could set colors/shades for ourselves.

    This way, if someone doesn’t like (even slightly) the colors they are using, he/she could quickly change it or adjust to the color they prefer.

    Best regards,
    AMartin

    1. That would be excellent. Offering some standard colors, but also allowing to choose the hex code. I’m not sure if allowing this degree of customization is compatible with the distro philosophy. I’m really satisfied with color selection at the welcome window. I would be glad if the newer colors (the more vivid ones) could be selected at the welcome window as well.

  69. Hi Clem,
    Everything I tested t do with Mint/Cinnamon under a standard LiveUSB looks fine – a very nice update.
    I do however, have a problem with the new kernel which plays badly with the Bios in my laptop which i cannot update. I am flooded with ACPI errors, they probably mean nothing, but I will need to do something about restricting log files if I have to use kernel 5.4.
    If I eventually do an upgrade rather than a fresh install will the existing kernel remain in use or available?
    If I install an older kernel from the archives how far back can I go without any impact? I am currently on 4.15 but the machine worked best on even earlier kernels

    1. If you install a new kernel, the old kernel is still available. When the machine boots, you can select in Grub the Advanced options and choose which kernel you want to boot with.

    2. Heedermann, I was asking about the big steps in kernels. Mint 19.3 offers kernels from the 4.15, 4.18 and 5.4 series in the Update Manager (View -> Linux kernels). My machine does not work well on 5.4 but the earlier kernels are currently not offered in Mint 20 so:
      1. Does Mint 20 Require the more recent 5.4 kernel?
      2. If I do an upgrade from 19.3 to 20 instead of a fresh install will the old kernels still be available as was the case with 18.3 to 19?

      At present I have fudged the control system for the log files (logrotate and friends) to limit the log file sizes and speed up rotation as they had reached 1.4Gbytes in three days with all the ACPI errors thrown by the new kernel/old bios combination. The ACPI issue was reported many years ago by several people, including myself, but never solved and is still open on launchpad (1738736).

    3. Yes, installing other Kernels is at least at present time blocked. B U T you can install uuku. Their latest 5.7.1 Kernel might solve your problem, but be aware other hardware issues may arise (like wifi) which you need to fix on your own

      I find Kernel 5.4.xx dismal as well … (heats up my CPU, has slow transfer rates, FALSELY claims transfer to be completed and who knows what else …

  70. Hi Linux team,
    I confirm I can not mount my network box server on the installed version as on the live version of Linux 20 BETA cinnamon.
    With Linux 19.3 and with LMDE , I do not have this problem.
    I got a popup window to enter my password and an option to remember it for ever.

  71. Hi, tried the HiDPI and fractional upscaling with 43″ 4K monitor. It works, but in the opposite sense than on OSX and Windows. E.g. on Windows with 150% the fonts and images get sharper because they are rendered by more pixels. On Mint the opposite happens, they just reduce the number of pixels and zoom them. So in the end the fonts and images are more blurry. I don’t know if this is just bug on my side or if the implementation is just wrong, but for me the whole hidpi feature is unusable.

  72. Hi, I tried another combination with scaling and HiDPI. You must select both HiDPI and zoom 150% to get good results, i.e. sharp image. If only zoom is selected, then it is blurry.

  73. Clementine, installed from Software Manager, won’t run. It always worked on previous versions of Linux Mint. I have found that adding “akondi-backend-sqlite” from Synaptic Package Manager solved the problem. Don’t ask me why, I don’t understand computers. Congratulations to Clem and the Team for another great release of my favourite OS.

    1. That sounds like something to report to Ubuntu, since they’re the ones managing the Clementine package and its list of dependencies.

    2. Actually, for anyone who’s interested, the correct name of the package Robert installed is “akonadi-backend-sqlite.”

      Not sure, either, why installing this package solved the problem with Clementine not working for him on Linux Mint 20 Cinnamon Beta. But here’s part of the description from Synaptic Package Manager, just in case that could give someone a clue:

      “Akonadi is an extensible cross-desktop Personal Information Management (PIM) storage service. [ … ] It can be used by any application that needs to access SQLite databases via standard Qt QSql framework.”

  74. Congratulation to the team. LM 20 is on the way to be a great release.
    I have experienced like many other users in the Ubuntu universe that the installation of all-in-one printer/scanner devices like Epson XP-7100 is a problem, also in Linux Mint 20. After 16.04LTS all sane-backends got messed up; it seems to be an old bug (https://bugs.launchpad.net/ubuntu/+source/sane-backends/+bug/1728012) after Ubuntu changed the directories for third-party-drivers. This is show stopper for people who need to scan and print and feel uncomfortable with the command line. Perhaps Linux Mint can solve the puzzle?

  75. I’ve not had one issue with this beta, personally. I’ve been running it for days on end and doing odd random stuff in the hopes of helping to generate a helpful crash report, and so far, nothing.

    That’s pretty awesome. I love this OS.

    P.S. – Thank you for keeping the Mint-X icons around. I personally think they are better looking, and they work well with the Mint-Y themes still. I know this is just personal preference, but I find the Mint-Y icons to be a bit harsh.

  76. Launchers can open only one instance of a program. The menu can open multiple instances but I prefer to use launchers. I often need to open multiple instances of programs. There’s no way I’m going to edit the menu so it opens everything.

  77. The operation of the filemanager icon in the panel changed to be more Windows compatible, i.e.instead of creating a new file manager window it just opens and close the existing (only) one or allows to select one of the already open ones. You must get used to it, obviously. Or am I missing an option somewhere ?

  78. I like to have launchers on the top panel and open programs showing on bottom. But I cannot pin launchers on the top panel. In 19.3, I temporarily delete the bottom panel to pin launchers on the top panel. But in 20 BETA, launchers do not appear on the top panel when I try to pin them from the menu.

    1. And when I reinstate the bottom panel, it has a duplicate set of launchers.
      Maybe a look at Ubuntu-Cinnamon-Remix would be helpful for two panels: top with launchers, bottom with view of open programs. In Ubuntu Cinnamon: Menu > Administration > PanelLayout.

  79. I have a question. Interested in installing LM 20 on a 5 year old MacBook Pro. Downloaded beta and have been running on MBP via USB. I love it so far and congrats on such a great release!

    Only found one issue so far. Horizontal scrolling does not work on trackpad even though I’ve enabled it and selected 2-finger scrolling in the Mouse app. Xev command shows mouse events when using swiping left or right on the trackpad but the point stays fixed. Would you expect behavior stay the same after installing on the MBP? That’s the next step but wanted to ask my question first. This isn’t a “deal-breaker” on not using LM 20 but admit it’s an extremely desirable feature I would like to keep. Thanks.

  80. we need please add software that when you connect your camera fugi or any others to be able see images or MPEG movie . Why should we install an old Microsoft on VM to do just that?
    Please add special software to for all of us as we connect camera to Linux Mint 20 we will have
    able play mpeg video’s or photo’s.

  81. Great blog and I’m a Linux user , but I’m amazed at the almost total lack of any women providing input. I’m sure women use Linux, but apparently most don’t post any comments . Just wondering why ?

    1. Hi Lilly,

      Thanks for posting the question.

      But how can you tell that there’s an almost total lack of any women providing input when there are commenters whose “names” are initials, non-gender specific names, nicknames, or handles?

      Unisex, gender-neutral names are very common, especially in English-speaking countries. A web search will show hundreds of examples!

      And, of course, names can have different gender connotations depending on the country or the language.

  82. So I’ve put LM20 on two laptops, to test Warpinator. Works like a charm. I did learn both machines have to be on the exact same LAN _and_ also the same wifi net (I have two, one for each end of the house).
    I was looking at MATE on one and Wobbly Windows, but then figured you need to switch to Compiz plus a couple of tweaks and everything went South quickly, so I reverted to the “factory” setting. 🙂 That choice is there for a reason, decisions by wise people to save the user pain! The other laptop is on Cinnamon (was LMDE Debbie to test that until this morning). LMDE saw the installer USB a little different to the main edition – icons come up for “Linux Mint 20 Cinnamon 64” and “writeable” (hmmm).
    So far, no paper cuts. Maybe I have decent (if old) hardware, but zero “issues.” To declare, one laptop is an A4-size Asus with very low spec and the other a Toshiba i5 that has seen better days. Both installs went smooth as did setup of my apps selection.
    One thing I am hunting now for an alternative to – PhotoPrint. It seems to have last become available with Ubuntu 18.x and is no longer in the repositories. Some research found that this is abandonware, last worked on in 2010. TEN years ago! Is there a newer option out there?
    But as always, Linux Mint 20 continues to raise the bar. I am super impressed.
    With Mint smacking Snap to the kerb, I was inspired to go one further and boot out FlatPak. This was triggered by the following experience. I installed KPatience and got the Flatpak by default. 2.6Gb!!!! I Trumped it away with the slogan “You’re fired!” and found the “Kpat” normal install a few entries lower down in the Software Manager, just 228Mb. Huge difference.

  83. Finally I solved the problem with the very slow opening of libreoffice. Everything depended on the installation of Fonts Noto, to use ‘noto sans regular’ and ‘noto sans bold’. I’ve always preferred them to Ubuntu ones, which LM has been using since version 19.2. After uninstalling them and choosing another set of characters, everything now works perfectly, but…. with the little exception of celluloid which, when opened, always goes to the top left corner.
    I have been using Mint since version 7. But this one is, without any doubt, the best. Congratulations to you, Clem and the whole team.
    Gian Piero

  84. good work, but still has many decades old bugs and counter intuitive super frustrating operation issue’s:

    1-Hybernation never worked (no issues on windows 95 onwards)
    2-Battery performance on laptop is just terrible even after installing tcpl and other tweaks: max 1.5 hrs battery life compared to 6.5 hrs on Xp, W7 and slightly more on W10
    3-Over heating issues. able to fry egg on laptop, but able to keep a side of lamb cool for weeks running W10 (i know – im kidding but you get the drift)
    4-ShotWell crashes with more then 1000 pics and slow. Please install the OLD PICASA by default along with wine preconfigured. Its bad enough that there is really ugly under performing, old obsolete software preinstalled that hasnt changed since i discovered linux (Mint 6)
    5-WPS over LO…. personally ive found this office suite fantastic and to those ive installed linux on their systems, 7/10 loathed LO (icons and ribbon layout horrendous) but smiles re appeared when i installed WPS along with its missing fonts (go figure, something is always half baked with linux/software)
    6-please someone do something with the window browser where all the icons are so tiny when you require to upload a file of some sort!! cant believe this has been a decade old issue… i mean, am i the only one that uploads files and dosnt get frustrated by the silly list view of files/pictures?No option to increase file/folder view – my god hasnt changed since mint 6 onwards! Windows windows explorer is the bee’s knees in this department, take note – copy their layout
    7-Network sharing with non linux systems a complete nightmare – no issues with andriod, iOS nor windows

    these are just afew thats become my bee in the bonnet frustrations with linux INCLUDING mint. its good to hear many good praises on how lovely the theme and how speedy the windows open, but come on, theres some real deal breakers still lingering since early mint days (well ubuntu days) that simply has been over looked.

    ok, im done ranting LOL

    1. I fully agree with you, but this is a linux fault not just Mint as it is a flavour of linux. I have to say: Linux Mint have the less issues of all linux distros on my hardware, but still it is far from a Windows replacement OS. May be Linux never be a Windows replacement at all, just becaude developers are not interesting in solving bugs becuase it is to hard to do that. They like to make new things which always brings new annoyance with them and are just like you said halfbaked.
      Just a simpel thing to do exemple: mouse scroll speed sucks in linux u scroll 1 mile down for reach the next 3 lines. There is a solution with imwheel and a script, but linux devs like to leave the user to solve this problem even if it is real simpel to do that they do not care 🙁

    2. All Operating Systems, have bugs & issues. May 2020 patch Tuesday saw the 3rd largest in Microsoft’s history, with 111 CVE bug fixes, 16 of which were CRITICAL. Monthly patch Tuesdays with 115 bugs fixed were March 20 and 113 in April 20. The four months March throught June 20 were the first, second, third & fourth most patched months in Microsoft’s entire history. Nearly half were problems within Windows OS itself.

      Looking at the recent Tech blogs, many Windows 10 users are reporting that they are unable to print after the June 2020 Windows 10.

      The grass may be greener, but from my own personel experience, I have had far fewer issues using Linux Mint on my five machines than other operating systems.

    3. 1. I don’t even see Hybernate as a possibility when I shut down my Linux Mint 19.3. I personally always either use Suspend, or just shut it all the way down. Back when Hybernate was an option, it used to work fine for me, but was always more of a pain. Nearly as slow as a full shutdown, and not anywhere near as quick or versatile as Suspend. So I just avoided it. Looks like Mint also does the same.

      2. Yeah, battery performance could be better. It can sometimes depend on the kernel you use. Some kernels are better than others. You can also use TLP to better manage battery usage. I’ve heard there are good results with that. I don’t often go unplugged, though, so I haven’t tried it. But it might get you closer to what you are needing with your battery usage.

      3. Overheating can depend on your hardware. I’ve had hardware that always ran hot no matter what. My current laptop is generally cold to slightly warm under heavy use. TLP might offer some relief here as well, by better managing power usage. As far as Windows goes, most hardware was designed with Windows specifically in mind, so yeah, it will likely run more efficiently.

      4. Picasa has been discontinued for about a decade, and hasn’t had Linux support for longer (or ever, if you don’t call embedding wine into the Linux version to be supporting Linux). So that won’t even be a consideration, nor should it be. Shotwell isn’t the default, so that’s not Mint’s problem. Have you tried Mint’s default, Pix? It seems to work well, although I don’t have thousands of photos, so YMMV. There are also others, such as DigiKam or F-Shot you could try. I’ve heard some good things about all of them, including Shotwell. Look around and see if any of these work better for you.

      5. Office suite is a personal choice. I, for one, prefer LibreOffice. Also, WPS isn’t open source, so is much less likely to be included as a default. I’ve personally rarely run into a problem with LO, and when I have, it’s either been easy to fix (usually it has to do with not having installed the fonts used in the original document), or WPS wouldn’t open it correctly, either. And LO has many more features, more file formats are supported, and it’s just nicer overall, in my opinion.

      6. I’m not sure I understand the problem. Can you give more details on that? I’ve not seen any issues where the file manager icons are too small, or can’t be adjusted to your liking. And I wouldn’t call copying Windows a solution to just about anything, personally. Not a fan of the mess that is Windows, obviously. That said, I’d like to know more about what exactly is going on here, and when/where exactly you are seeing these tiny icons.

      7. As long as Samba is installed and configured properly, it just works. I can exchange files both ways between Linux and Windows machines with no issues whatsoever. There used to be problems, but that seems to have pretty much been fixed.

      With all of these, I recommend you might either include more details, or make bug reports/feature requests upstream to either Ubuntu or Mint, depending on who’s managing the offending software.

    4. For those looking to get hibernate working, It’s far two difficult to explain how to do it here, but here’s a pdf document you can download on how to do it, which includes instructions for whether you’re using a swap partition or a swap file. Note that hibernate does work in Linux, but in Ubuntu-based distros, it is not configured by default. The instructions in this pdf works in any Ubuntu-based distro, but I haven’t tried them in any other distro that’s based on Debian, Arch Fedora etc, and I don’t know if they’re even necessary in those distros. I suggest you download and save the pdf for future reference, as there are a few lines of text to copy into a file that you would otherwise need to remember correctly, for a process that you’ll only do once every time you install/reinstall Linux. I hope this helps you guys ‘n’ gals out. Here’s the pdf download link:
      https://www.dropbox.com/s/88l9aydntzvi2kw/Enable_Hibernation_in_Linux_Mint.pdf?dl=0

    5. UPDATE:
      The link to the pdf file that I gave in my previous post regarding enabling hibernation in Linux Mint, is no longer valid, so here is the updated link to download the same pdf file. Sorry for any inconvenience.

  85. Linux Mint 20 Cinnamon Beta working well on my Thinkpad X230 with no issues.
    I now have the added benefit of using Wireguard with my PIA VPN.
    Kudos to the Mint Team for a great job.

  86. After enabling Guest Session in Linux Mint 20 Cinnamon – Beta,
    Start > Administration > Login Window > Users > Allow guest session * (“enable”) > Restart,
    cannot be used Guest Session.
    A message is displayed:
    Could not update ICEautority file /run/user/999/ICEautority
    and command button Log Out.

    In Linux Mint 20 MATE – Beta,
    A message is displayed:
    Could not update ICEautority file /run/user/999/ICEautority
    and command button Close,
    and can be used Guest Session (it loads slowly)

    In Linux Mint 20 Xfce – Beta,
    can be used Guest Session (it loads slowly)

    After enabling Guest Session in Ubuntu 20.04, as shown here:
    https://linuxconfig.org/how-to-enable-guest-session-on-ubuntu-20-04-focal-fossa-linux
    Guest Session is loading and running normally.

    I actively use Guest Session on 40 school computers with Linux Mint 19.3 Cinnamon and everything works normally.
    *****Please enable Guest Session in Linux Mint 20 Cinnamon, as this functionality is very important to us.*****

  87. Hi Clem
    May i ask why don’t you give Mint user an option to install snap during Mint installation? normal user will benefit from using snap and/or flatpak, but for advance user who don’t like snap at all for any reason, they can choose to not install snap during mint installation

    1. I suppose it’s about moral integrity; while Shuttleworth don’t care about it eventually Clement does. It has been explained many times that Snap can pose security problems.
      It’s of the utmost importance that they take special care for ‘normal users’, because ‘advanced users’ know explicitly which problems will face choosing ‘this’ over ‘that’ while ‘normal users’ sunk without knowing why.
      Snap isn’t a ‘necessity’, like that ‘nVidia blob’, so…

  88. My two pennyworth on Chromium. I neither use nor need Chromium as such, but I do need a base code set to allow me to use Chrome-Remote-Desktop to connect to a windows PC about 50 miles from me. For this CRD works very well, and with Chromium installed appears to work as a stand-alone app on 19.3 and earlier.
    I would prefer not to use Chrome as the base code, if only for the privacy aspect.
    While I can connect via the website with Firefox, I lose a lot of screen real-estate to menus and title bars. Yes, I can go full screen, but then I cannot readily switch back and forth between my LM desktop and the remote machine. So far, I am not impressed by the alternatives suggested by other contributors.

  89. LM20 cannot play lots of videos in Opera because the necessary codec file “/usr/lib/chromium-browser/libffmpeg.so” does not exist. This has been supplied up to now by the “Chromium-codecs-ffmpeg-extra” package, but this package is now a snap package, according to the software manager when you try to install it.

    This is a real show stopper for me, and possibly many others. Needs urgent attention.

    1. Hi

      Allan J

      Please consult this link: https://www.slimjet.com/en/libffmpeg.php

      I installed libffmpeg to my slimjet browser following the instructions and it provided me with h.264 video
      support and mp3 support plus plus.

      I believe this method would work for Opera too.

      Alternatively use this link to fetch the correct version for the Chromium-codecs-ffmpeg-extra:

      http://security.ubuntu.com/ubuntu/pool/universe/c/chromium-browser/

      In Opera go to Settings – Help – About to identify the Chrome version under Browser Identification.

    2. Hi Paul,

      Thanks. Your first suggestion works fine with Opera so far.

      Your link to Ubuntu lead to a dummy package that says it has been replaced by a snap. You can of course try older versions that lead to a genuine DEB, but they will not be maintained and eventually become obsolete.

      I discovered another way: install the Vivaldi browser and make sure to run their ‘update-ffmpeg’ script. Then grab libffmpeg.so from /var/opt/vivaldi/media-codecs***. Put this in the appropriate Opera directory and it works fine. Thanks Vivaldi. I might try using your browser!

    3. Hi again

      I wasn’t aware that the packages in the ubuntu link had been replaced. I do have support for h.264 video in my Opera browser. But I may be downloading older versions from that ubuntu link than you since I am on LMDE4 while you are possibly on LM 20? On the ubuntu page I would then download the chromium-codecs-ffmpeg-extra_83.0.4103.61-0ubuntu0.18.04.1_amd64.deb and simply run the installer and it should work. The ffmpeg-extra version I have in my Opera browser now is a bit older than that version but since it’s working I don’t bother to update. I do update the browser itself though.

      As long as the first method works for you, then you’re good to go anyway.

      Personally I don’t like Vivaldi. I tried it for a year but I got put off be the endless and detailed choices in the Settings. Finally I uninstalled that browser. I think Vivaldi is a browser for nerds.

      The two best chromium based browsers in my opinion is Opera and Slimjet.

    4. Allan J

      Just a quick follow up on this. When I updated Opera today to version 69.0.3686.36 via Updata Manager in LMDE 4, I did not have to download any separate Chromium-codecs-ffmpeg-extra package from the ubuntu page. This has been the case for the last few updates as well (the last update before today being from version 67 to version 68). After upgrading today, I went into the opera folder under /usr/lib/x86_64-linux-gnu/opera and right-clicked on the file libffmpeg.so and got this info under Modified: Fri 19 Jun 2020 22∶30∶12 CEST.

      This means that when updating Opera via the Update Manager, it comes with an already updated libggmpeg.so file. And when testing for h.264 video, AAC audio and mp3 audio, everything plays.

      Make sure when you install Opera from the deb file from their website that you click yes to let Opera be updated together with your Linux Mint system updates.

      The first method in the link I provided previously may still be handy to know if you also wish to use the Slimjet browser and if you wish to have support for h264 video, AAC audio, mp3 audio etc in that browser.

    5. That’s great news.

      I just updated to Opera69, and what do you know? The Opera codecs worked with a test H.264/AAC video. I agree with you about Opera. I’ve used it since the mid 90s – tried the others, but always came back.

  90. samba did not worked in Mint 20 let see the files on server but I had no access! it worked well in Mint19.3 so I returned to Mint19.3

  91. Please add hardware monitoring of input source to sound settings via a checkbox (monitor/hear microphone signal through my headphones). Sound settings section is really sparse and really needs updating to give it more functionality.

  92. Excellent work Mint team and Clem!

    I support your decision in regards to Snap and Chromium.

    I feel more secure this way so please don’t listen to complainers. Security OVER comfort! Security is far more important than “convenience”. And your system is already very usable and comfortable, so this change doesn’t hurt anything! Brilliant efforts 🙂

  93. Good solution for Chromium/Snap issue:

    I suggest adding a new entry in the “Welcome Screen” with instructions on how to deal with it. (i.e: how to update Snap manually.. etc)

    Hence, if someone really needs Snap, they can do it themselves. But others, like me, who don’t want Snap auto-update, can simply enjoy they security they need.

    I hope people will stop complaining about it and understand that Mint Team did the right thing. If you don’t care about security there is Ubuntu out there.

    1. I might even go one step further, and during the install process, ask if a reliable Chromium PPA should automatically be installed to replace both Ubuntu’s apt-snap blend and Mint’s dummy package that replaces Ubuntu’s. I know PPA’s are generally seen as a little less safe, but if the user is going to be directed by the dummy package to alternatively install one anyway, why not let the OS do it for them if they choose?

  94. I tested fractional upscaling on a 1980×1200 monitor. All magnification levels produced a blurry display – more blurry than changing the resolution to a non-recommended resolution.
    “pm” explained here on June 19, 2020 at 7:29 am a very good solution witch results in a absolute sharp screen.

    So i wish to make a suggestion:
    – Automatically switch the ‘Base interface scale – Inputfield’ to Hi-DPI when changing the Zoom Level.
    – For Persons with old bad eyes it wound be nice to find a hint in the Systemsettings ‘Accessibility’ to this useful possibility to enlarge the display.

    Many thanks to the Mint team for all the good work.

    1. Sorry the name of the dude is “mb” and not “pm””
      “mb” explained here the procedure on June 19, 2020 at 7:29 am

  95. I appreciate having the option to install Linux Mint.
    I downloaded the Ulyana Beta ISO and am trying it on a non-mission-critical laptop.
    This initially held a resized windows 7 partition, a ubuntu 18.04 partition, and a swap partition.
    After installing to hard drive (replacing ubuntu; i used the “other” disk partitioning option in the installer) it failed to reboot; it got to grub which printed:
    error: symbol `grub_file_filters’ not found
    Entering rescue mode…
    grub rescue>

    A web search turned up lots of confusing information.
    For no particularly good reason, I repartitioned the entire disk (throwing away all existing data) starting with a 2 GB “biosgrub” partition (in case that would help), followed by sizeable partitions for root, swap and /home.
    This time the installer failed (after installing all or most files) saying
    Executing grub-install /dev/sda1 failed.
    I tried running (from the still running live session) grub-install and it died with
    failed to get canonical path of /cow
    I also tried downloading and running boot-repair (which had worked for me on past ubuntu issues) but it simply hung. Sigh.
    I rebooted and got to the grub menu (no boot choices installed) and was able to boot up ok using advice i found on the web on grub commands to use.
    After booting, i updated and also installed and successfully ran boot-repair and now all is well.

    So all is well now, but i don’t wish this on anyone.

  96. Hi Clem and Mint devs,

    Many thanks for another great version of LM! I’m very happy with the way you approach the whole snap/flatpak/chromium problem. snap and flatpak are in my humble opinion just bloatware clogging up my disc unnecessarily. Please keep the default lean, sane and safe. I’m sure there will be ways for folks to install their poison (anything G$ for example) if they must.

    regards,

  97. My sincere thanks to the Mint Development Team in the fantastic progress made fixing and closing out bug issues for the LM 20 Beta. Thank you to the community for reporting them.

  98. After the last update to cinnamon 4.6.5, I’m having some problems with removable devices. To automatically open the USB stick, I have to set all the devices to ‘open the folder’ and the options do not appear on the screen. Does this just happen to me or other users have the same problem?

  99. Hey guys I use linux mint as my daily driver and I love it, but I would the option to place panel in the center like Mac’s or Deepin Os, that would really be nice, Thank you for your hard work and this Great Distro.

    1. I have installed Plank and moved my panel to the top of the screen.
      Best of both worlds.
      Regards,
      David

    1. It doesn’t have the beta/rc versions release date. Fortunately, or I would have been very frustrated 😀 lol

  100. Hello,
    Just to say a few words about release.
    It’s really great, system is fast, responsive, polished.
    It’s getting better in all aspects.
    Few issues still remain.
    Since version 19, I’m having really slow boot up.
    Back, when I was using 18.3, it would take just a few seconds for OS to boot up.
    After that, it hangs for a while and, in total, it takes around 40 secs to get to login screen.
    Just to mention, my laptop has SSD and Ryzen 5 CPU. So it’s not slow by any means.
    Second issue is very old one and it’s about coping dialog box.
    When I transfer movie to a USB flash drive, scale is at once at 90% and ETA is very inaccurate.
    Why is that?

    1. I used to have the same problem with my iMac. Turns out it was the later kernels. I installed kernel 4.15, rebooted under it, removed the other versions and all was fine.
      Under LM 19 I could use the Update Manager, but with LM20 B, I had to download and use UKUU.
      (https://github.com/teejee2008/ukuu/releases)
      David

    2. Thank you David for your answer.
      The problem with my laptop is that it needs later kernel versions (5+)…
      But they come with that “slow boot up” regression.
      With kernel versions 4+ I had very fast boot up, but random total freezes of the system.
      Interestingly thou, suspend & resume work flawlessly! 😀

  101. I am seriously worried about the speed of development. We have seen this before so many times. MInt goes forward so fast, that it begins to crumble. Mint 19.3, Could not install K3Bas it lacked MP3 thingys. In mint 20 beta, amule was gone, xfburn made a cd music disc that was squirrel music. K3B could not burn wma files onto music cd. Files from music CD could only be copied to desktop once. After that (ejected the disc once) files could not anymore be copied to desktop. I am not getting to github to report bugs. soundconverter was not looking as it used to, icons were missing. Things are crumbling and I am worried for Mints future. Too fast, bolts sprinkling to the wayside.

    1. Hi There Orkku. As Mint is using Ubuntu as base then sadly a lot of what happens in Ubuntu and the software packages in there, also happens in Mint. We all have to go with the flow to some extent unless one were prepared to re-write the software or bases we work with. For the moment all users have to adapt and work with what we have as i doubt if Mint or anyone else is big enough to change the the scenery.

    2. Hello Orkku:

      On every new Linux Mint release that is timed with the new LTS of Ubuntu, lots of new upstream issues are encountered. It usually takes a few .dot releases to get them settled out. Scanners, SMB, Bluetooth were the many casualties of Ubuntu 18.04 = Linux Mint 19. Also a fresh software repository is introduced. This excites a lot of users because most software is more up-to-date with new LTS versions. LTS versions only receive security updates, not feature updates. On the downside, some software that existed in the previous LTS is drooped in the new one for many issues, mostly a lack of maintainers for that project to update it. The repositories would be incredibly huge if every unmaintained software was kept.

    1. ? Does it work in windows or another distro based on Ubuntu 20.04, if it works in windows then the device drivers may possibly be broken or not supported in the kernel in Ubuntu, If it does NOT work in windows then it possible the HARDWARE has issues. I know its not always convenient to to test these theories out and not everyone has a second computer to fall back on but you do need to troubleshoot even for Windows OS, the day when a computer works with every bit of hardware out there is not here yet. Take care and good luck.

    2. Hi Milan

      Try these in a terminal, i don’t have your card so i couldn’t test

      sudo apt update
      sudo apt install rtl8821ce-dkms

      good luck

    3. We seem to have the same (or similar) WiFi card. We connected to the Internet via an Ethernet port. If your computer doesn’t have an Ethernet port, you can use a USB to Ethernet adapter or a USB WiFi dongle. The “Driver Manager” can download the driver. The details are:
      rtl8821ce-dkms (open-source)
      Version 5.5.2.1-0ubuntu3~18.04.1
      DKMS source for the Realtek 8821C PCIe WiFi driver

      Reboot the computer, once the driver is installed, and the WiFi card should be recognized.

  102. What’s going on with the website? I keep getting an error “connection is not secure” on the home page – never had this before, not even this morning. Has the security cert expired?

  103. Hi Clem,

    I suppose the question may have been asked before, so if that’s the case and I missed the answer, please forgive me. The question is: are there any plans to make Linux Mint work with tablets? I’m getting seriously p*d off with Big Tech obsoleting otherwise perfectly functioning equipment (already two iPads here). Some goes for Android muck. BIg Tech generates so much eWaste for which there is absolutely no excuse by obsoleting hardware that could conceivably be used for many years after just a few years. In this day and age, we cannot afford to go without security patches for the OSes we use on phones, tablets, computers etc. It will be a while before we can use OSes without security flaws. So … having a future proof OS on a tablet would be fantastic.

    cheers!

  104. Please – please, I install Linux Mint 19.3 on a lot of ‘non technical’ persons laptops and PC’s, usually because they’re still using Windows XP / Vista / 7 etc. ( Yes they are older / retired etc. ) They all prefer the switch to the traditional layout on the welcome screen.
    They can all read English very well, but don’t feel comfortable with the ‘Tonka Toy’ Icons only mode, as they never learnt ‘Egyptian Hieroglyphs’ as a first language.
    Please at least give us a Single option button within the Settings menu, if you no longer want to provide it in the Welcome screen. ( n.b. Win 10 appears to be reverting more and more to Icons & Text, not Icons only, presumably for similar reasons ? )
    I’d like to say thank you for providing easy file sharing between Mint PC’s with Warpinator, I guess the real challenge would be to access Win 10 PC’s from Warpinator as well.
    What I like most about Mint is that I can Menu Configure a ‘Folder’ say called ‘Files’ then add in a panel launcher (shortcut to most people) to get Libre Office Calc or Writer to start up, then modify it to start a particular office file, then repeat ad nauseam as often as req’d.- I would love it if somehow the panel launcher could be activated from the particular file say within Nemo ?
    All the people I’ve converted over to Mint, want ‘shortcuts’ to their most used office files, either on the desktop or in the menu system. I can do it for them, as I found a comment from a technical user who explained it thoroughly, but I’ve a feeling that this method appears to be beyond their own PC technical ability. – Would be great if it was possible to get it GUI able for non techies.
    Keep going with the great work, I can use any of the 3 mint flavours, but tend to find most ‘people’, myself included, plump for Cinnamon. As to desktop / menu / panel colours etc. they are just happy to have a PC back working that is safe and secure, Firefox is fine by them, no one is asking for Chromium, and I personally won’t install anything Google related if at all possible. Over the last few months, Zoom is the most asked for program !

    1. Hello Jerome:

      Do not worry, the option to set the desktop from modern to traditional has been put back in the Mint Welcome screen.

    2. Great to hear the option to switch to “traditional” layouts is back.

      Seconding the shortcut comment. There is already a plugin action in Nemo called “create new launcher here”, but I haven’t figured out yet why it won’t appear in the context menu in any of my right-click attempts so far. Doesn’t appear to work on any executable file types, but maybe there is a specific type that it is enabled for. Even so, I would think it should be an available context menu option for any files marked executable.

  105. I hope that this time in version 20, sound and webcam will work in the HP Pavilion x2 laptop – 10-n110nw. I checked the sound quickly and it works, just a webcam …

  106. kernel: [ 0.221736] ACPI Error: Needed type [Reference], found [Integer] (____ptrval____) (20190816/exresop-66)
    kernel: [ 0.221736] ACPI Error: Needed type [Reference], found [Integer] (____ptrval____) (20190816/exresop-66)
    kernel: [ 0.221779] ACPI Error: Aborting method \_PR.CPU0._PDC due to previous error (AE_AML_OPERAND_TYPE) (20190816/psparse-529)

    1. @AaronLeung This is probably a problem with a mismatch between the BIOS and the kernel. Many old BIOSes do not support the full set of current ACPI calls and give errors. It is said they can just be ignored but in my case the come at 200 msec intervals and flood the log files. If it is one off you are probably OK. If they are large in number or worse still flood dmesg (ie the kernel ring buffer) there are mitigations I am working on and some I have already written up. It is why I was enquiring about use of earlier kernels in another post.

  107. I took Mint 20 Cinnamon for a spin, and it looks great, but I find that it is slower to boot than Mint 19.3.

    I’ve been running Mint 19.3 using VMWare Player 12 on Windows 10 (1909). My time to get to the login screen is 54 secs. With Mint 20 and the same configuration, the time goes to 136 secs.

    I worked at this for a while and found that I could have VMWare Player boot the guest OS using EFI firmware. I reinstalled Mint 20 and found the time was down to 65 secs.

  108. I also support the LM-Team decision about snapd as the only correct one under these circumstances. The sound amplifying function to 150% is not working. I tested three different machines, at least for me it is a issue for LM19.x series. This function just works with pavucontrol.
    Keep it up!

  109. Hi
    I have been seeing this a few times now: some of the PPAs that worked on LM19.x now are getting rejected by apt with the mention that “NO_PUBKEY” was available. Is that a problem with LM20’s version of apt or is this coming from the source, i.e. Ubuntu 20.04?
    Regards

    1. Oups… Cannot report a bug anymore, it is read-only now. Ahhh…well. Those 4 PPAs are real close to the “can’t do without” limit. Once that limit is crossed LM20 will be a non-starter. Sad…
      Regards

    2. You’ve upgraded, and now your previously added PPAs are causing “GPG error: … NO_PUBKEY <PUBKEY>”? You’ll need to add the missing GPG keys. Perhaps easiest is just to remove the PPAs and re-add them, or you can use something like sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys <PUBKEY>. If you google you’ll find lots of tutorials/blog posts, askUbuntu questions, etc.

  110. Terrible the new, bad gray menu symbol. The old green shows that it is Linux Mint. And looks nice too. Does your programmer still like that? Or are you not interested in colors? I will probably stay with LM 19/3.

  111. Just tried Wine (for Irfanview) – works… but you need to install Wine(API std suite), Wine (Compat Layer), Winetricks, and Wine stable. THEN it works. iView gives me full print control to mm accuracy on size and border. Have not found a Linux equivalent capable of this after 12 years.
    Other software tests are going well. I saw a post of someone struggling with Wine, so posted this. It is after all inviting the BorgOS and its tangle of complications into your pristine Linux…

    1. Rapid-Photo-Downloader crashes. Not a Mint issue,but RPD’s she’ll-be-right coding. ;( I will leave alerting the author to people who might have their patience reserves more intact…

      jan@test:~$ rapid-photo-downloader
      qt5ct: using qt5ct plugin
      qt5ct: using qt5ct plugin
      /usr/lib/python3/dist-packages/raphodo/rapid.py:5843: Warning: cannot register existing type ‘GdkWindow’
      super().__init__(*argv)
      /usr/lib/python3/dist-packages/raphodo/rapid.py:5843: Warning: g_param_spec_object: assertion ‘g_type_is_a (object_type, G_TYPE_OBJECT)’ failed
      super().__init__(*argv)
      /usr/lib/python3/dist-packages/raphodo/rapid.py:5843: Warning: validate_pspec_to_install: assertion ‘G_IS_PARAM_SPEC (pspec)’ failed
      super().__init__(*argv)
      /usr/lib/python3/dist-packages/raphodo/rapid.py:5843: Warning: cannot register existing type ‘GdkScreen’
      super().__init__(*argv)
      /usr/lib/python3/dist-packages/raphodo/rapid.py:5843: Warning: g_once_init_leave: assertion ‘result != 0’ failed
      super().__init__(*argv)
      (rapid-photo-downloader:9041): Gdk-CRITICAL **: 13:29:59.791: IA__gdk_screen_get_default_colormap: assertion ‘GDK_IS_SCREEN (screen)’ failed
      (rapid-photo-downloader:9041): Gdk-CRITICAL **: 13:29:59.791: IA__gdk_colormap_get_visual: assertion ‘GDK_IS_COLORMAP (colormap)’ failed

    2. @jan See my post above for more success with wine.
      I also still use irfanview because of its bulk options for rename, resize etc.
      I also still use Picasa which is handling 155,000 pictures and still starts in seconds – I can not face a huge change. I also still occasionally run an old Dreamweaver which gets some jobs done. If it ain’t broke its not worth fixing.
      Mint 20 seems unbreakable – I have been running on the same liveUSB boot for 5 days despite many experiments and tests! Can’t wait to update.

  112. Cinnamon freezes and needs restarted on Gigabyte p35v3 laptop after being hibernated by closing the lid. I upgraded to beta using apt pointing at focal/ulyana rather than a fresh install from the iso.

  113. I found a small bug in Nemo, but the suggested git-hub-repository has been closed. Si I report it here

    Create a file, eg. test.txt
    Create a link to that file by means of Nemo. It will be named Link to test.txt
    Add an emblem to that link. Nothing will happen
    Click on the link to open the file => emblem appears after all

    1. This is not a good idea IMO.

      “Rationale: white spaces and () require \ when using command line and in scripts, – does not require .
      and copy, copy2, copy3, etc is more consistent than copy, another copy, 3rd copy, etc.”

      If you’re using the command line and/or writing scripts then you don’t need this feature anyway and you can easily make copies with any name you like (“cp file.txt file-copy1.txt”) or write a script to do it for you.

      file (copy).txt is much more intuitive and understandable for the casual user who this feature is aimed at.

    1. Yes Bolo,
      I just downloaded and installed it on my laptop. The problem with the removable devices that I reported above have not yet been resolved.

  114. How do you upgrade Warpinator on Mint 19.3 from 1.0.2 to 1.0.6 or latest
    I have 1.0.6 on Mint 20 Beta and it will not see the versions on the Mint 19.3 computers.
    Warpinator on Mint 19.3 to Mint 19.3 works and sees the version on 20 Beta but files cannot be sent.
    Note: The name of the 20 Beta computer on Warpinator 19.3 is not consistent with the other names
    eg mouse@mousesnest shows up as mouse@debXXX-XXXX-xxXx-xXX-xxxxxxXxxXXxxxxxxx

  115. Awesome work and many thumbs up to Clem and the other developers. This is hands down the most stable beta I’ve ever seen and I remember the days of loading Linux off floppy disks so that is saying something. I got Cinnamon running on an older laptop and XFCE running in a VM – honestly I think they are more stable than 19.3. Great work getting rid of the snap-crap, really made my day and thanks to you and “BUSTER” I also have Chromium running without a hitch. My code, compiling and other tweaks work without a hitch – the only “issue” I’ve seen isn’t worth the mention as it is known back to 19 and earlier coming from upstream. Put it all together and this is why Linuxmint is my goto for a desktop and why Linuxmint gets my $$$$$$.

  116. I am using LMDE4 and installed warpinator 1.0.2.

    1. How can i upgrade to the latest version? Is it possible to add a repository to get information in the update manager?

    2. The program is in English language. Is there an option to install – in my case – a German language package?

    Thx for you help in advance. 🙂

  117. Is there any way to add the older kernels to the Update Manager?
    Under LM 20, I only see Kernel 5.4, but under LM19.3 I see 5.3, 5.0, 4.18 and 4.15. Those of us using older iMacs need the 4.15 Kernel because of its support for the AMD Radeon Graphics driver.
    I know I said above that I can use UKUU and install a version of 4.15, but it is not the same version as in the official list in the LM 19.3 Update Manager list.
    Regards,
    David

    1. Hi, David,
      I think it’s possible to do this by adding the ‘xenial’ or ‘bionic’ repository. After the update, you should see older kernels.

  118. Hello linux mint team,
    I wanted to say thank you to all of you because I was wishing for the wifi to work out of the box but it did not, but now it works wonderfully,so thank you so much for making it work. A big Love to all of you

  119. in linux cinamon if one wants to change position of the taskbar, lands up with no taskbar, only the windows, and to get it back, do not even know how, first installation bug, since always use taskbar on top now have neither. Linux should always have a default setup always at the fingertip of the user, case messes everything up by customizing.

  120. hello, i have installed linux mint 20. now i have a problem with linux vm’s in virtualbox 6.1 the scrolling with 2 fingers does not work anymore. scrolling hangs, jerks, does not react
    i have also tested virtualbox 6.0 and 5.2. same problem. must be related to ubuntu 20.04. with mint 19.3 and virtualbox 5.2 everything worked fine.
    does anyone have an idea how i can solve the problem.

  121. I do not understand all the above text about snap in that I am running google chrome in mint 20. I j just went to Ubuntu 20.4 list of apps and there was the quite clearly how to load and run chrome using the termina. No problem runs like a dream

    I suggest one looks more at the Ubuntu apps list as it can be very useful. The last I checked Linux mint based on Ubuntu 20.4 !!

Leave a Reply

Your email address will not be published. Required fields are marked *